Qgis slow to show the attribute table with lots of rows
2006-06-05 07:47 PM - Gavin Macaulay -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10194
Description

Qgis is slow to show the attribute table when there are lots of rows. Improvements can probably be made in the vector provider code with
regard to retrieving geometry attributes, particularily for postgres.

History

#1 - 2006-07-10 08:25 PM - Brendan Morley -

As part of my changes to my working copy of the HEAD version, | have made a change to the way the attribute table loads.

If there is no selection on the active layer when the table is loaded, the full table is loaded. If there is a selection, only those selected rows are loaded.

This improvement may be useful until we can get a full MVC model going.

#2 - 2007-01-31 07:58 AM - stephan-holl-intevation-de -

Hello,

is this improvement already included in current trunk of QGIS? | would like to see this included soon since there are some persons having laaaaarge

datasets living in geodatabases. This patch would certainly make it at least possible to work with attribute data on large datasets.

Are there any plans to implement this in the near future? Thanks for you comments.

#3 - 2007-01-31 08:21 AM - Martin Dobias

There's no such improvement yet... attribute table needs to be redesigned to use Qt model/view architecture and that's quite a lot work. This redesign
should ensure that only currently displayed attributes will be fetched from data source instead of loading everything when table gets opened.

| agree that this is important for any real usage of the table, but | don't know when/who will implement this...

#4 - 2007-02-01 12:19 AM - stephan-holl-intevation-de -

Hi wonder,

| interpreted the first comment from morb_au in that way, that his local copy of HEAD (probably outdated now) contains the described behaviour

implemented. It would be nice to have a patch available for the meantime (as a workaround), so that large tables are manageable.
You are right, it should implemented in the future following the MVC-model.

#5 - 2007-11-04 05:57 PM - Tim Sutton

Hi

| had similar issues in openModeller Desktop with large tables and | implemented them instead using Qt's interview framework and received a massive
performance improvement. | will try to do the same in QGIS.

#6 - 2009-06-23 03:58 AM - Martin Dobias
- Resolution set to fixed
- Status changed from Open to Closed

This has been fixed in 1.1 release with introduction of new model-based attribute table.

2024-03-20 22



